const quizContainer = document.getElementById('quiz-container');
const resultsForm = document.getElementById('results-form');
let userResponses = [];

document.querySelectorAll('.stage .options button').forEach(button => {
  button.addEventListener('click', (e) => {
    const stage = e.target.closest('.stage');
    const nextStage = stage.nextElementSibling;
    
    // Store response
    userResponses.push({
      stage: stage.id,
      value: e.target.dataset.value
    });
    
    // Show next stage
    if (nextStage && nextStage.classList.contains('stage')) {
      nextStage.scrollIntoView({ behavior: 'smooth' });
    } else {
      document.querySelector('.results').scrollIntoView({ behavior: 'smooth' });
    }
  });
});

resultsForm.addEventListener('submit', (e) => {
  e.preventDefault();
  const email = e.target.querySelector('input').value;
  
  // Send data
  const data = {
    email: email,
    responses: userResponses
  };
  
  // Send to both user and host
  sendResults(data, email);
  sendResults(data, 'host@centersun21.com');
  
  alert('Your results have been sent! Check your email.');
});

function sendResults(data, recipient) {
  // This would be replaced with actual email sending logic
  console.log('Sending results to:', recipient);
  console.log('Data:', data);
}